Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# HeadAndTailSymbols Class Reference

The Xabsl2 symbols that are defined in "head-and-tail-symbols.xml". More...

`#include <HeadAndTailSymbols.h>`

Inheritance diagram for HeadAndTailSymbols:

[legend]
Collaboration diagram for HeadAndTailSymbols:

[legend]
List of all members.

## Public Member Functions
| HeadAndTailSymbols (const BehaviorControlInterfaces &interfaces)
void | setSearchForLandmarksEvoSpeed ()
void | registerSymbols (Xabsl2Engine &engine)
| registers the symbols at an engine
## Public Attributes
double | searchForLandmarksEvoSpeed

## Detailed Description

The Xabsl2 symbols that are defined in "head-and-tail-symbols.xml".

Author:
  Uwe Düffert

  Martin Lötzsch

Definition at line 22 of file HeadAndTailSymbols.h.

## Constructor & Destructor Documentation

HeadAndTailSymbols::HeadAndTailSymbols | ( | const BehaviorControlInterfaces & | interfaces | ) |

| Definition at line 13 of file HeadAndTailSymbols.cpp. References searchForLandmarksEvoSpeed.

## Member Function Documentation

void HeadAndTailSymbols::setSearchForLandmarksEvoSpeed | ( |  | ) |

| Definition at line 20 of file HeadAndTailSymbols.cpp. References HeadControlMode::durationInEvolution, and searchForLandmarksEvoSpeed. Referenced by registerSymbols().

void HeadAndTailSymbols::registerSymbols | ( | Xabsl2Engine & | engine | ) |

| registers the symbols at an engine Definition at line 25 of file HeadAndTailSymbols.cpp. References getXmlString(), HeadControlMode::headControlMode, Xabsl2Symbols::registerDecimalInputFunction(), Xabsl2Symbols::registerDecimalInputFunctionParameter(), Xabsl2Symbols::registerEnumeratedOutputSymbol(), Xabsl2Symbols::registerEnumeratedOutputSymbolEnumElement(), searchForLandmarksEvoSpeed, setSearchForLandmarksEvoSpeed(), and MotionRequest::tailRequest. Referenced by GT2005BehaviorControl::registerSymbolsAndBasicBehaviors().

Here is the call graph for this function:

## Member Data Documentation

double HeadAndTailSymbols::searchForLandmarksEvoSpeed

| Definition at line 25 of file HeadAndTailSymbols.h. Referenced by HeadAndTailSymbols(), registerSymbols(), and setSearchForLandmarksEvoSpeed().

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/CommonXabsl2Symbols/HeadAndTailSymbols.h
- Modules/BehaviorControl/CommonXabsl2Symbols/HeadAndTailSymbols.cpp